XMMS2-LAUNCHER(1)

NAME
xmms2-launcher - XMMS2 daemon launcher

SYNOPSIS

xmms2-launcher [ -? / --help ]

xmms2-launcher [ -l logfile / --logfile= logfile] [ -P pidfile / --pidfile= pidfile]

DESCRIPTION
XMMS2 is a redesign of the XMMS (http://www.xmms.org) music player. It features a client-server model, allowing multiple (even simultaneous!) user interfaces, both textual and graphical. All common audio formats are supported using plugins. On top of this, there is a flexible media library to organise your music.

xmms2-launcher starts xmms2d(1) in the background. The main feature is that it does not exit until the IPC system of XMMS2 is available, meaning that as soon as the xmms2-launcher process has exited successfully xmms2d(1) is ready to accept commands.

xmms2-launcher includes command line options to change the way in which the daemon is invoked.

These options are currently recognised:

-l logfile / --logfile=logfile
    Write log file to logfile instead of the default log file location

- P pidfile / --pidfile=pidfile
    Write the pid of xmms2d to the file specified by pidfile

-? / --help
    Show help options

FILES

$XDG_CACHE_HOME/xmms2/xmms2d.log
    The default location for a file where the log output of xmms2d(1) is redirected. Usually ~/.cache/xmms2/xmms2d.log.

SEE ALSO
xmms2d(1), http://xmms2.xmms.org

HISTORY
The XMMS2 Project was started by Tobias Rundström and Anders Gustafsson. It is developed with their lead by a small group of contributers from all over the world.

AUTHOR
This manual page was written by Alexander Botero-Lowry <alex@foxybanana.com>